Delete Workflow
Authorizations
Retrieve your API Key from Dashboard [blocked].
Path Parameters
Response
- ConversationNode
- ToolNode
80This is the transcriber for the workflow.
This can be overridden at node level using nodes[n].transcriber.
- AssemblyAITranscriber
- AzureSpeechTranscriber
- CustomTranscriber
- DeepgramTranscriber
- ElevenLabsTranscriber
- GladiaTranscriber
- GoogleTranscriber
- SpeechmaticsTranscriber
- TalkscriberTranscriber
- OpenAITranscriber
- CartesiaTranscriber
This is the voice for the workflow.
This can be overridden at node level using nodes[n].voice.
- AzureVoice
- CartesiaVoice
- CustomVoice
- DeepgramVoice
- ElevenLabsVoice
- HumeVoice
- LMNTVoice
- NeuphonicVoice
- OpenAIVoice
- PlayHTVoice
- RimeAIVoice
- SmallestAIVoice
- TavusVoice
- cozmoxVoice
- SesameVoice
- InworldVoice
This is the plan for observability of workflow's calls.
Currently, only Langfuse is supported.
This is the background sound in the call. Default for phone calls is 'office' and default for web calls is 'off'. You can also provide a custom sound by providing a URL to an audio file.
off, office "office"
These are dynamic credentials that will be used for the workflow calls. By default, all the credentials are available for use in the call but you can supplement an additional credentials using this. Dynamic credentials override existing credentials.
- AnthropicCredential
- AnyscaleCredential
- AssemblyAICredential
- AzureCredential
- AzureOpenAICredential
- ByoSipTrunkCredential
- CartesiaCredential
- CerebrasCredential
- CloudflareCredential
- CustomLLMCredential
- DeepgramCredential
- DeepInfraCredential
- DeepSeekCredential
- ElevenLabsCredential
- GcpCredential
- GladiaCredential
- GhlCredential
- GoogleCredential
- GroqCredential
- HumeCredential
- InflectionAICredential
- LangfuseCredential
- LmntCredential
- MakeCredential
- MistralCredential
- NeuphonicCredential
- OpenAICredential
- OpenRouterCredential
- PerplexityAICredential
- PlayHTCredential
- RimeAICredential
- RunpodCredential
- S3Credential
- SmallestAICredential
- SpeechmaticsCredential
- SupabaseCredential
- TavusCredential
- TogetherAICredential
- TrieveCredential
- TwilioCredential
- VonageCredential
- WebhookCredential
- XAiCredential
- GoogleCalendarOAuth2ClientCredential
- GoogleCalendarOAuth2AuthorizationCredential
- GoogleSheetsOAuth2AuthorizationCredential
- SlackOAuth2AuthorizationCredential
- GoHighLevelMCPCredential
5000This is where cozmox will send webhooks. You can find all webhooks available along with their shape in ServerMessage schema.
The order of precedence is:
- tool.server
- workflow.server / assistant.server
- phoneNumber.server
- org.server
This is the compliance plan for the workflow. It allows you to configure HIPAA and other compliance settings.
This is the plan for analysis of workflow's calls. Stored in call.analysis.
This is the plan for artifacts generated during workflow's calls. Stored in call.artifact.
This is the plan for when the workflow nodes should start talking.
You should configure this if you're running into these issues:
- The assistant is too slow to start talking after the customer is done speaking.
- The assistant is too fast to start talking after the customer is done speaking.
- The assistant is so fast that it's actually interrupting the customer.
This is the plan for when workflow nodes should stop talking on customer interruption.
You should configure this if you're running into these issues:
- The assistant is too slow to recognize customer's interruption.
- The assistant is too fast to recognize customer's interruption.
- The assistant is getting interrupted by phrases that are just acknowledgments.
- The assistant is getting interrupted by background noises.
- The assistant is not properly stopping -- it starts talking right after getting interrupted.
This is the plan for real-time monitoring of the workflow's calls.
Usage:
- To enable live listening of the workflow's calls, set
monitorPlan.listenEnabledtotrue. - To enable live control of the workflow's calls, set
monitorPlan.controlEnabledtotrue.
This enables filtering of noise and background speech while the user is talking.
Features:
- Smart denoising using Krisp
- Fourier denoising
Both can be used together. Order of precedence:
- Smart denoising
- Fourier denoising
These are the credentials that will be used for the workflow calls. By default, all the credentials are available for use in the call but you can provide a subset using this.